Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 23 Dec 2014, 01:16
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
So apparantly, you can play new Flash with an old plugin
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [3 Posts]  
Author Message
solo


Joined: 14 Nov 2013
Posts: 148

PostPosted: Wed 23 Apr 2014, 14:27    Post subject:  So apparantly, you can play new Flash with an old plugin
Subject description: If you know what you're doing
 

I just noticed that there was a new Gemcraft game out, but it uses the latest Flash plugin, so if you want to play the game as a Linux user, you'll have to use Chrome, or try and do it through Wine.
....but not really, because I came across this link:

http://emergent.unpythonic.net/01396971660

So it seems that if you can download the SWF and use the JPEXS Flash Decompiler, and you can find the part of the ActionScript that checks Flash version, you can modify it so it believes all is well.

Here's a link to JPEXS:

http://www.free-decompiler.com/flash/
Back to top
View user's profile Send private message 
Shep

Joined: 08 Nov 2008
Posts: 851
Location: GIRT-BY-SEA

PostPosted: Sat 03 May 2014, 22:42    Post subject:  

Interesting.

I have wondered why someone hadn't come up with a way to have the installed flash player simply represent itself as a later version.
Back to top
View user's profile Send private message 
disciple

Joined: 20 May 2006
Posts: 6464
Location: Auckland, New Zealand

PostPosted: Mon 05 May 2014, 00:51    Post subject:  

There is an old hack where you actually edit the flash binary... I can't remember for sure if there was a limitation on how recent a Flash it could pretend to be.
_________________
DEATH TO SPREADSHEETS
- - -
Classic Puppy quotes
- - -
Beware the demented serfers!
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [3 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0402s ][ Queries: 12 (0.0041s) ][ GZIP on ]